%if "%{?rhel}" == "6" 
%global _jarsign_opts --unsign=%{_javadir} 
%endif


%define section .GA
%define reltag _redhat_1
%define namedreltag -redhat-1
%global namedversion  %{version}%{?section}%{?namedreltag}

%bcond_without mead

%define maven_version 1.3.15.GA-redhat-1

Name: jboss-marshalling
Summary: JBoss Marshalling
Version: 1.3.15
Release: 2%{?section}%{?reltag}%{?dist}
License: GNU Library or "Lesser" General Public License version 2.1 (LGPL-2.1)
Group: Development/Libraries/Java

%if %with mead
Source100: org.jboss.marshalling-jboss-marshalling-parent-1.3.15.GA-redhat-1-sources.zip
Source101: org.jboss.marshalling-jboss-marshalling-parent-1.3.15.GA-redhat-1-patches.zip
Source102: tests-1.3.15.GA-redhat-1.jar
Source103: tests-1.3.15.GA-redhat-1.pom
Source104: tests-1.3.15.GA-redhat-1-sources.jar
Source105: jboss-marshalling-osgi-1.3.15.GA-redhat-1-sources.jar
Source106: jboss-marshalling-osgi-1.3.15.GA-redhat-1.jar
Source107: jboss-marshalling-osgi-1.3.15.GA-redhat-1.pom
Source108: jboss-marshalling-1.3.15.GA-redhat-1.jar
Source109: jboss-marshalling-1.3.15.GA-redhat-1.pom
Source110: jboss-marshalling-1.3.15.GA-redhat-1-sources.jar
Source111: jboss-marshalling-1.3.15.GA-redhat-1-javadoc.jar
Source112: jboss-marshalling-parent-1.3.15.GA-redhat-1.pom
Source113: jboss-marshalling-river-1.3.15.GA-redhat-1-javadoc.jar
Source114: jboss-marshalling-river-1.3.15.GA-redhat-1.pom
Source115: jboss-marshalling-river-1.3.15.GA-redhat-1.jar
Source116: jboss-marshalling-river-1.3.15.GA-redhat-1-sources.jar
Source117: jboss-marshalling-serial-1.3.15.GA-redhat-1-sources.jar
Source118: jboss-marshalling-serial-1.3.15.GA-redhat-1.jar
Source119: jboss-marshalling-serial-1.3.15.GA-redhat-1.pom
Source120: jboss-marshalling-serial-1.3.15.GA-redhat-1-javadoc.jar
%endif

URL: http://www.redhat.com/

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch

BuildRequires: unzip

Requires:       jpackage-utils
Requires(post):       jpackage-utils
Requires(postun):     jpackage-utils

%description
JBoss Marshalling is an alternative serialization API that fixes many of the problems found in the JDK serialization API while remaining fully compatible with java.io.Serializable and its relatives, and adds several new tunable parameters and additional features, all of which are pluggable via factory configuration (externalizers, class/instance lookup tables, class resolution, and object replacement, to name a few).

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}

%prep

%build
                                                                                                     
%install
rm -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_javadir}
#javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}

for artifactId in \
                  jboss-marshalling-parent \
                  jboss-marshalling \
                  jboss-marshalling-river \
                  jboss-marshalling-osgi \
                  jboss-marshalling-serial \
              ; do
#poms
%add_to_maven_depmap org.jboss.marshalling ${artifactId} %{namedversion} JPP ${artifactId}
install -pD -T -m 644 %{_sourcedir}/${artifactId}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-${artifactId}.pom

#jars
if [ -e %{_sourcedir}/${artifactId}-%{namedversion}.jar ]; then
  install -pD -T -m 644 %{_sourcedir}/${artifactId}-%{namedversion}.jar %{buildroot}%{_javadir}/${artifactId}-%{namedversion}.jar
  (cd %{buildroot}%{_javadir} && ln -s ${artifactId}-%{namedversion}.jar ${artifactId}.jar)
fi

if [ -e %{_sourcedir}/${artifactId}-%{namedversion}-sources.jar ]; then
  install -pD -T -m 644 %{_sourcedir}/${artifactId}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/${artifactId}-%{namedversion}-sources.jar
  (cd %{buildroot}%{_javadir} && ln -s ${artifactId}-%{namedversion}-sources.jar ${artifactId}-sources.jar)
fi

#javadoc
if [ -e %{_sourcedir}/${artifactId}-%{namedversion}-javadoc.jar ]; then
# Do not install jboss-marshalling-river javadocs (private)
if [ ${artifactId} != jboss-marshalling-river ]; then
unzip -n -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion} %{_sourcedir}/${artifactId}-%{namedversion}-javadoc.jar
rm -rf $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}/META-INF
fi
fi

done

(cd %{buildroot}%{_javadocdir} && ln -s %{name}-%{namedversion} %{name})

%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap
                                                                                                     
%files
%defattr(0644,root,root,0755)
%{_javadir}*/*jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}
%{_javadocdir}/%{name}-%{namedversion}

%changelog
* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1.3.15-2.GA_redhat_1
- Rebuild for MD5

* Fri Aug 17 2012 Lin Gao <lgao@redhat.com> - 1.3.15-1.GA_redhat_1
- Upgrade to 1.3.15.GA

* Mon Aug 13 2012 Fernando Nasser <fnasser@redhat.com> - 1.3.14-2.GA_redhat_2.4
- Rebuild unsigned

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 1.3.14-2.GA_redhat_2.3
- Rebuild unsigned

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 1.3.14-2.GA_redhat_1.2
- Rebuild using cache signing

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.3.14-2.GA_redhat_1.1
- Rebuild using cache signing

* Fri May 25 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.3.14-2.GA_redhat_1
- Remove private javadocs

* Wed May 02 2012 Lin Gao <lgao@redhat.com> - 0:1.3.14-1.GA_redhat_1
- Upgrade to 1.3.14.GA

* Tue Apr 10 2012 Lin Gao <lgao@redhat.com> - 0:1.3.13-1.GA_redhat_1
- Upgrade to 1.3.13.GA

* Thu Mar 22 2012 Lin Gao <lgao@redhat.com> - 0:1.3.11-2.GA_redhat_1
- Do not package tests in RPM

* Wed Mar 21 2012 Lin Gao <lgao@redhat.com> - 0:1.3.11-1.GA_redhat_1
- Upgrade to 1.3.11.GA

* Wed Mar 14 2012 Lin Gao <lgao@redhat.com> - 0:1.3.9-0.1.GA_redhat_1.1
- Rebuild to use new wrapper

* Fri Feb 17 2012 Lin Gao <lgao@redhat.com> - 0:1.3.9-0.1.GA_redhat_1
- Upgrade to 1.3.9.GA
- Require jpackage-utils in javadoc
- Use javadoc:aggregate-jar for javadoc

* Thu Nov 17 2011 Lin Gao <lgao@redhat.com> - 0:1.3.4-0.2.GA_redhat_1
- build rpm format

* Fri Nov 11 2011 Lin Gao <lgao@redhat.com> - 0:1.3.4-0.1.GA.1
- upgrade to 1.3.4.GA

* Fri Oct 28 2011 Lin Gao <lgao@redhat.com> - 0:1.3.1-0.1.GA.1
- upgrade to 1.3.1.GA

* Tue Aug 23 2011 Lin Gao <lgao@redhat.com> - 0:1.3.0-0.2.GA.1
- use productization git repository
- wolf build

* Wed Jul 27 2011 Lin Gao <lgao@redhat.com> - 0:1.3.0-0.1.GA.1
- upgrade to 1.3.0.GA

* Tue May 24 2011 Fernando Nasser <fnasser@redhat.com> - 0:1.3.0-0.1.CR8.1
- Placeholder
